Subject: Re: [PATCH] run-command: introduce CHILD_PROCESS_INIT

From: René Scharfe <[email-masked]>
Date: Sun, 17 Aug 2014 09:25:58 +0200

Am 17.08.2014 um 09:12 schrieb Jeff King:
> On Sun, Aug 17, 2014 at 12:55:23AM +0200, René Scharfe wrote:
>
>> Most struct child_process variables are cleared using memset right after
>> declaration.  Provide a macro, CHILD_PROCESS_INIT, that can be used to
>> initialize them statically instead.  That's shorter, doesn't require a
>> function call and is slightly more readable (especially given that we
>> already have similar macros like STRBUF_INIT, ARGV_ARRAY_INIT etc.).
>
> I think one reason we never had an INIT macro here is that you cannot
> simply use the struct after zero-ing it anyway. That's just the first
> step, and then you have to tweak a bunch of fields to get what you want.
> So the memset is just one setup line out of many.

Some (or most?) of these steps could be converted to named
initializers -- once all supported platforms provide them..

René